/*
Diséñese un programa que pida al usuario dos números enteros A y B.
Debe calcular el MCM (Mínimo Común Múltiplo) de los dos.

Ejemplo:
	A: 21. --> 21=3*7.
	B: 30. --> 30=2*3*5.
	
	
	MCM= Comunes y no comunes. De los comunes el de mayor exponente:
	MCM= 2x3x5x7= 210.
	
Otro ejemplo:
	A: 63. --> 63=3^2*7
	B: 30. --> 30=2*3*5
	MCM:	 -->	  2*3^2*5*7==630.
*/	
	
#include <stdio.h>
#include <conio.h>

void main(void)
{
 int a,b,primo;
 long mcm;

 printf("Introduce el primer número: ");
 scanf("%i",&a);
 printf("Introduce el segundo número ");
 scanf("%i",&b);

 primo=2;		/*El primer número primo distinto a la unidad*/
 mcm=1;

 while (primo<=a || primo<=b)
 {
	if (a%primo==0)
		if (b%primo==0)
			{
			 a=a/primo;
			 b=b/primo;
			 mcm=mcm*primo;
			}
		else
			{
			 a=a/primo;
			 mcm=mcm*primo;
			}
	else
		if (b%primo==0)
			{
			 b=b/primo;
			 mcm=mcm*primo;
			}
		else
			primo++;
 }
 printf("El MCM es %li",mcm);
}
	